Subject: Re: bug#6028: 24.0.50; HELLO wants "C-x v v"

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 24 Apr 2010 23:05:17 -0400

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Dan Nicolaescu <[email-masked]>
>> Date: Sat, 24 Apr 2010 15:32:58 -0400
>> 
>> If this is in an uninstalled tree, then C-h H opens the HELLO file that is managed by bzr.
>
> Yes.
>
>> The message that you see is what VC says when you try to make writable a file managed by VC.
>> Is that the issue here?
>
> The issue here is that the message is bogus.  The VCS that is used
> does not require "C-x v v" to make the file writable, because the file
> is already writable under bzr.  The _buffer_ is made read-only by
> "C-h H", but the file is not.  Perhaps VC sees that the file is under
> VCS control and the buffer is read-only, and erroneously deduces that
> the VC backend is some VCS of the locking variety.  But that is false.
>
> I think VC should not display this message if the backend is not a
> locking VCS.

FWIW I agree.  I think this was discussed on the list a few times, but
I don't remember the conclusion....

But please retitle this bug to be more descriptive of the actual problem.